docker_deploy:

	docker run --rm -it \
	  -v /tmp/backup:/backup -v /var/lib/docker:/docker \
		-v $(shell pwd)/kit:/docker/volumes/web-wordpress-kit_wordpress/_data/wp-content/themes/kit \
		alpine:edge tar cfz /backup/volumes.tgz /docker/volumes/
	rsync --progress /tmp/backup/volumes.tgz playground.pi:/tmp/

	ssh playground.pi tar xvf /tmp/volumes.tgz -C /tmp

	ssh playground.pi sed -i 81idefine\\\(\\\'WP_SITEURL\\\',\\\'https://beta.saai.digital\\\'\\\)\\\;\\\\ndefine\\\(\\\'WP_HOME\\\',\\\'https://beta.saai.digital\\\'\\\)\\\; /tmp/docker/volumes/web-wordpress-kit_wordpress/_data/wp-config.php

	-DOCKER_HOST="ssh://playground.pi" docker stop web-wordpress-kit_db_1 web-wordpress-kit_wordpress_1
	-DOCKER_HOST="ssh://playground.pi" docker rm web-wordpress-kit_db_1 web-wordpress-kit_wordpress_1
	-DOCKER_HOST="ssh://playground.pi" docker volume rm web-wordpress-kit_db web-wordpress-kit_wordpress

	DOCKER_HOST="ssh://playground.pi" docker run --rm -it \
	  -v /var/lib/docker:/docker \
		-v /tmp/docker/volumes:/volume-backup \
		alpine:edge cp -r /volume-backup/. /docker/volumes/
	# # Need to fix MaxSessions in remote ssh daemon https://github.com/docker/compose/issues/6463
	# # Disable nftables on remote host

	cp wordpress.yml /tmp/wordpress.yml
	sed -e '/kit/ s/^#*/#/' -i /tmp/wordpress.yml
	DOCKER_HOST="ssh://playground.pi" docker-compose -p web-wordpress-kit -f /tmp/wordpress.yml create
	DOCKER_HOST="ssh://playground.pi" docker-compose -p web-wordpress-kit -f /tmp/wordpress.yml start

docker_up:
	docker-compose -f wordpress.yml up
